
#ifndef TOOLBARBOARD_H
#define TOOLBARBOARD_H

#include <QToolBar>

#include "MainWindow.h"

class QAction;
// class QActionGroup;


class ToolBarBoard : public QToolBar
{
    Q_OBJECT

  friend class MainWindow;
        
public:
  ToolBarBoard(MainWindow* mainWindow, QWidget *parent = 0);
  void setToolBarState(bool on);
  
protected:
  void closeEvent(QCloseEvent *event); 

private:
  MainWindow* mainWindow_;
  QAction *rotateAct;
  QAction *horizontalMirrorAct;
  QAction *verticalMirrorAct;
  
private slots:
  
  
};

#endif
