
#ifndef TOOLBARMOVES_H
#define TOOLBARMOVES_H

#include <QToolBar>

#include "MainWindow.h"

class QAction;
// class QActionGroup;


class ToolBarMoves : public QToolBar
{
    Q_OBJECT

  friend class MainWindow;

public:
  ToolBarMoves(MainWindow* mainWindow, QWidget *parent = 0);
  QAction *firstAct;
  QAction *backTenAct;
  QAction *backAct;
  QAction *forwardAct;
  QAction *forwardTenAct;
  QAction *lastAct;
  void setToolBarState(bool on);

protected:
  void closeEvent(QCloseEvent *event);

private:
  MainWindow* mainWindow_;

private slots:

};

#endif
