
#ifndef DATABASEVIEWER_H
#define DATABASEVIEWER_H

#include <QWidget>
#include <QLabel>
#include <QLineEdit>
#include <QAction>
#include <QMenu>
#include <QModelIndex>
#include <QTreeView>
#include <QEvent>
#include <QStandardItemModel>

#include "DatabaseTab.h"
#include "GamesTab.h"
#include "DbManager.h"
#include "MainWindow.h"


class MainWindow;
class DbManager;
class DatabaseTab;
class GamesTab;

class DatabaseViewer : public QWidget
{
  Q_OBJECT

  public:
    DatabaseViewer(MainWindow* mainWindow, QWidget *parent = 0);
    GamesTab *gamesTab;
    DatabaseTab *databaseTab;
    MainWindow* mainWindow_;
    
  protected:
    void closeEvent(QCloseEvent *event);
//     void resizeEvent ( QResizeEvent * event );
//     void moveEvent ( QMoveEvent * event );
    
  private slots:

  private:
    
    QTabWidget *tabWidget;
    void readSettings();
    void writeSettings();
    
};

#endif


