
#include "Filters.h"
#include <QApplication>
#include <QWidget>
#include <QLabel>
#include <QLineEdit>


Filters::Filters(QWidget *parent) : QWidget(parent)
{
  labelPlayerBlack = new QLabel(this);
  labelRankBlack = new QLabel(this);
  labelPlayerWhite = new QLabel(this);
  labelRankWhite = new QLabel(this);
  labelResult = new QLabel(this);
  labelDates = new QLabel(this);
  labelDateFrom = new QLabel(this);
  labelDateTo = new QLabel(this);
  labelPlace = new QLabel(this);
  labelEvent = new QLabel(this);
  
  
  labelPlayerBlack->setGeometry(QRect(5, 0, 100, 20));
  labelRankBlack->setGeometry(QRect(230, 0, 100, 20));
  
  labelPlayerWhite->setGeometry(QRect(5, 40, 100, 20));
  labelRankWhite->setGeometry(QRect(230, 40, 100, 20));
  
  labelResult->setGeometry(QRect(5, 80, 100, 20));
  
  labelDates->setGeometry(QRect(5, 120, 100, 20));
  labelDateFrom->setGeometry(QRect(5, 136, 100, 20));
  labelDateTo->setGeometry(QRect(130, 136, 40, 20));
  labelPlace->setGeometry(QRect(5, 140, 100, 20));
  labelEvent->setGeometry(QRect(5, 180, 100, 20));
  
  
  
  labelPlayerWhite->setText(QApplication::translate("GameInfo", "White", 0, QApplication::UnicodeUTF8));
  labelPlayerBlack->setText(QApplication::translate("GameInfo", "Black", 0, QApplication::UnicodeUTF8));
  labelRankWhite->setText(QApplication::translate("GameInfo", "Rank", 0, QApplication::UnicodeUTF8));
  labelRankBlack->setText(QApplication::translate("GameInfo", "Rank", 0, QApplication::UnicodeUTF8));
  labelResult->setText(QApplication::translate("GameInfo", "Result", 0, QApplication::UnicodeUTF8));
  labelDates->setText(QApplication::translate("GameInfo", "Dates From: ", 0, QApplication::UnicodeUTF8));
  labelDateFrom->setText(QApplication::translate("GameInfo", "From", 0, QApplication::UnicodeUTF8));
  labelDateTo->setText(QApplication::translate("GameInfo", "To", 0, QApplication::UnicodeUTF8));
  labelPlace->setText("Place");
  labelEvent->setText("Event");
//   labelPlace->setText(QApplication::translate("GameInfo", "Place", 0, QApplication::UnicodeUTF8));
//   labelEvent->setText(QApplication::translate("GameInfo", "Event", 0, QApplication::UnicodeUTF8));
  
  lineEditPlayerWhite = new QLineEdit(this);
  lineEditPlayerBlack = new QLineEdit(this);
  lineEditRankWhite = new QLineEdit(this);
  lineEditRankBlack = new QLineEdit(this);
  lineEditResult = new QLineEdit(this);
  lineEditDateFrom = new QLineEdit(this);
  lineEditDateTo = new QLineEdit(this);
  lineEditPlace = new QLineEdit(this);
  lineEditEvent = new QLineEdit(this);
  
  lineEditPlayerBlack->setGeometry(QRect(5, 16, 220, 20));
  lineEditRankBlack->setGeometry(QRect(230, 16, 40, 20));
  lineEditPlayerWhite->setGeometry(QRect(5, 56, 220, 20));
  lineEditRankWhite->setGeometry(QRect(230, 56, 40, 20));
  
  lineEditResult->setGeometry(QRect(5, 96, 265, 20));
  
  lineEditDateFrom->setGeometry(QRect(5, 136, 115, 20));
  lineEditDateTo->setGeometry(QRect(155, 136, 115, 20));
  lineEditPlace->setGeometry(QRect(5, 176, 265, 20));
  lineEditEvent->setGeometry(QRect(5, 216, 265, 20));
  
  
  labelPlayerBlack->setBuddy(lineEditPlayerBlack);
  labelRankBlack->setBuddy(lineEditRankBlack);
  labelPlayerWhite->setBuddy(lineEditPlayerWhite);
  labelRankWhite->setBuddy(lineEditRankWhite);
  labelResult->setBuddy(lineEditResult);
  labelPlace->setBuddy(lineEditPlace);
  labelEvent->setBuddy(lineEditEvent);
 
  QWidget::setTabOrder(lineEditPlayerBlack, lineEditRankBlack);
  QWidget::setTabOrder(lineEditRankBlack, lineEditPlayerWhite);
  QWidget::setTabOrder(lineEditPlayerWhite, lineEditRankWhite);
  QWidget::setTabOrder(lineEditRankWhite, lineEditResult);
  QWidget::setTabOrder(lineEditResult, lineEditDateFrom);
  QWidget::setTabOrder(lineEditDateFrom, lineEditDateTo);
  QWidget::setTabOrder(lineEditDateTo, lineEditPlace);
  QWidget::setTabOrder(lineEditPlace, lineEditEvent);
}


Filters::~Filters() {}

