#ifndef LOGFILE_H
#define LOGFILE_H

#include <string>
#include <iostream>

#include "Const.h"


#ifdef WIN32
  #include <C:\Boost\include\boost-1_33_1\boost\filesystem\operations.hpp>
  #include <C:\Boost\include\boost-1_33_1\boost\filesystem\fstream.hpp>
#else
	#include "boost/filesystem/operations.hpp"
	#include "boost/filesystem/fstream.hpp"
#endif



class LogFile {
  public:
    LogFile();
    void close();
    void open();
    void log(const string& value); 
    void log(const string& value, const int val);
    void erase(); // Erases logfile from disk.
    ~LogFile();
  private:
    ofstream ofs_;
    bool isLocalDateTime_;
    bool isOpen_;
};

#endif
