//Progress.cpp
//baduK++ 0.1 - Neil Mclean 20/4/2006

#include <iostream>

#include "Timer.h"

#ifdef WIN32
#include <C:\Boost\include\boost-1_33_1\boost\timer.hpp>
#include <C:\Boost\include\boost-1_33_1\boost\shared_ptr.hpp>
#include <C:\Boost\include\boost-1_33_1\boost\lexical_cast.hpp>
#include <C:\Boost\include\boost-1_33_1\boost\cast.hpp>
#else
#include "boost/timer.hpp"
#include "boost/shared_ptr.hpp"
#include "boost/lexical_cast.hpp"
#include "boost/cast.hpp"
#endif




using namespace std;

using boost::timer;
using boost::numeric_cast;
using boost::lexical_cast;


Timer::Timer() :  total_(0), progress_(0) {
  boost::shared_ptr<timer> t (new timer); 
  tmr = t;
}


Timer::Timer(double total) : total_(total), progress_(0) {
  //use boost library to get elapsed time
  boost::shared_ptr<timer> t (new timer); 
  tmr = t;
}



Timer::~Timer() {}



void Timer::estimatedTime() 
{
  double percentage = progress_ / total_;
  double totaltime = (1 / percentage) * 
      static_cast<double>(tmr->elapsed());
  cout << "elapsed = " << tmr->elapsed() << " : ";
  cout << "estimated = " << totaltime << " s" << endl;
}



string Timer::currentTime()
{
  // Do 1 signifigant figure.
  int time = numeric_cast<int>(tmr->elapsed());
  return lexical_cast<std::string>(time);
}



// double Timer::currentTime()
// {
//   return tmr->elapsed();
// }



string Timer::estimateTime()
{
  double percentage = progress_ / total_;
  double totaltime = (1 / percentage) * static_cast<double>(tmr->elapsed());
  return lexical_cast<std::string>(totaltime);
}



double Timer::dblEstimateTime()
{
  double percentage = progress_ / total_;
  double totaltime = (1 / percentage) * static_cast<double>(tmr->elapsed());
  return totaltime;
}



void Timer::elapsedTime() 
{
  cout << "elapsed = " << tmr->elapsed();
}

