#ifndef TIMER_H
#define TIMER_H

#ifdef WIN32
#include <C:\Boost\include\boost-1_33_1\boost\timer.hpp>
#include <C:\Boost\include\boost-1_33_1\boost\shared_ptr.hpp>
#else
#include "boost/timer.hpp"
#include "boost/shared_ptr.hpp"
#endif



#include "Const.h"

class Timer {
  public:
    Timer ();
    Timer (double total); //initialise with end size
    void estimatedTime();
    void elapsedTime();
    string currentTime();
    string estimateTime();
//     double currentTime();
    double dblEstimateTime();
    ~Timer();
    u32 operator++() { return progress_ += 1; };
  private:
    double total_;
    u32 progress_;
    boost::shared_ptr<boost::timer> tmr;
};

#endif
