
#ifndef TOOLBAREDIT_H
#define TOOLBAREDIT_H

#include <QToolBar>

#include "MainWindow.h"

class QAction;
// class QActionGroup;


class ToolBarEdit : public QToolBar
{
    Q_OBJECT

  friend class MainWindow;
    
public:
  ToolBarEdit(MainWindow* mainWindow, QWidget *parent = 0);
  void setToolBarState(bool on);

protected:
  void closeEvent(QCloseEvent *event); 
private:
  MainWindow* mainWindow_;
  QAction *eraseAct;
  QAction *alternateAct;
  QAction *addBlackAct;
  QAction *addWhiteAct;
  
private slots:
  
  
};

#endif
