
#ifndef TOOLBARMAINMOVES_H
#define TOOLBARMAINMOVES_H

#include <QToolBar>

#include "MainWindow.h"

class QAction;


class ToolBarMainMoves : public QToolBar
{
    Q_OBJECT

  friend class MainWindow;

public:
  ToolBarMainMoves(MainWindow* mainWindow, QWidget *parent = 0);
  QAction *firstAct;
  QAction *backTenAct;
  QAction *backAct;
  QAction *forwardAct;
  QAction *forwardTenAct;
  QAction *lastAct;
  void setToolBarState(bool on);
  
protected:
  void closeEvent(QCloseEvent *event);
private:
  MainWindow* mainWindow_;
private slots:
  
};

#endif
